[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# THelpEvent

Type used for an OnHelp event handler.

## Declaration

Source position: forms.pp line 506

`type THelpEvent = function(`
`Command: Word;`
`Data: PtrInt;`
`var CallHelp: Boolean`
`):Boolean of object;`

## Arguments

`Command` |  | Help command type requested; either HELP_CONTEXT or HELP_COMMAND.
`Data` |  | Context data for the help request.
`CallHelp` |  | False suppresses help display.

## Function result

Indicates if the help request is satisfied by the event handler; False causes the default help handler for the application to be used.

## Description

THelpEvent is an object function which specifies an event handler signalled when Help is requested in an application or form. THelpEvent is the type used to implement the OnHelp event handler in TCustomForm and TApplication. Applications must implement a function using the signature for the event handler, and assign it to the property.

## See also

TCustomForm.OnHelp |  | Handler called when Help is requested.
TApplication.OnHelp |  | Event handler signalled when help is requested in the application.
TApplicationProperties.OnHelp |  | Event handler signalled when help is requested in the application.